WindowListItem Class Reference

Windows list item class. More...

`#include <Folder.h>`

Inheritance diagram for WindowListItem:

## Public Member Functions

MdiSubWindow * | window ()
| WindowListItem (Q3ListView *parent, MdiSubWindow *w)

## Protected Attributes

MdiSubWindow * | myWindow

## Detailed Description

Windows list item class.

## Constructor & Destructor Documentation

WindowListItem::WindowListItem | ( | Q3ListView * | parent,
|  | MdiSubWindow * | w
| ) |  |

References myWindow.

## Member Function Documentation

MdiSubWindow* WindowListItem::window | ( |  | ) |

inline

References myWindow.

Referenced by ApplicationWindow::activateWindow(), ApplicationWindow::hideWindow(), ApplicationWindow::renameWindow(), ApplicationWindow::resizeWindow(), and ApplicationWindow::windowProperties().

## Member Data Documentation

MdiSubWindow* WindowListItem::myWindow

protected

Referenced by window(), and WindowListItem().

The documentation for this class was generated from the following files:

- qtiplot/src/core/Folder.h
- qtiplot/src/core/Folder.cpp